Create visit clinical orders
curl --request POST \
--url https://jaliprohmis.derrickmugabwa.dev/api/v1/outpatient-visits/{outpatientVisit}/orders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"service_id": 123,
"quantity": 123,
"order_notes": "<string>"
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({items: [{service_id: 123, quantity: 123, order_notes: '<string>'}]})
};
fetch('https://jaliprohmis.derrickmugabwa.dev/api/v1/outpatient-visits/{outpatientVisit}/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://jaliprohmis.derrickmugabwa.dev/api/v1/outpatient-visits/{outpatientVisit}/orders"
payload = { "items": [
{
"service_id": 123,
"quantity": 123,
"order_notes": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": [
{}
]
}Staff clinical workspace
Create visit clinical orders
POST
/
outpatient-visits
/
{outpatientVisit}
/
orders
Create visit clinical orders
curl --request POST \
--url https://jaliprohmis.derrickmugabwa.dev/api/v1/outpatient-visits/{outpatientVisit}/orders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"service_id": 123,
"quantity": 123,
"order_notes": "<string>"
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({items: [{service_id: 123, quantity: 123, order_notes: '<string>'}]})
};
fetch('https://jaliprohmis.derrickmugabwa.dev/api/v1/outpatient-visits/{outpatientVisit}/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://jaliprohmis.derrickmugabwa.dev/api/v1/outpatient-visits/{outpatientVisit}/orders"
payload = { "items": [
{
"service_id": 123,
"quantity": 123,
"order_notes": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": [
{}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Required array length:
1 - 50 elementsShow child attributes
Show child attributes
Response
Resource collection returned.